# -*- coding: utf-8 -*-
#
#  File: wizard/account_payment_order.py
#  Module: l10n_ch_vat_on_payment
#
#  Created by cyp@open-net.ch
#
#  Copyright (c) 2010 Open-Net Ltd. All rights reserved.
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import time
from lxml import etree
import netsvc
from osv import osv, fields

class payment_order_create(osv.osv_memory):
	_inherit = 'payment.order.create'

	def search_entries(self, cr, uid, ids, context=None):
		line_obj = self.pool.get('account.move.line')
		mod_obj = self.pool.get('ir.model.data')
		if context is None:
			context = {}
		data = self.read(cr, uid, ids, [], context=context)[0]
		search_due_date = data['duedate']
#		payment = self.pool.get('payment.order').browse(cr, uid, context['active_id'], context=context)

		# Search for move line to pay:
		domain = [('reconcile_id', '=', False), ('account_id.type', '=', 'payable'), ('credit', '>', 0)]
		domain = domain + ['|', ('date_maturity', '<=', search_due_date), ('date_maturity', '=', False)]
		netsvc.Logger().notifyChannel( 'Open-Net: payment_order_create', netsvc.LOG_DEBUG, " Searching for entries with domain="+str(domain) )
		line_ids = line_obj.search(cr, uid, domain, context=context)
		context.update({'line_ids': line_ids})
		model_data_ids = mod_obj.search(cr, uid,[('model', '=', 'ir.ui.view'), ('name', '=', 'view_create_payment_order_lines')], context=context)
		resource_id = mod_obj.read(cr, uid, model_data_ids, fields=['res_id'], context=context)[0]['res_id']
		return {'name': ('Entrie Lines'),
				'context': context,
				'view_type': 'form',
				'view_mode': 'form',
				'res_model': 'payment.order.create',
				'views': [(resource_id,'form')],
				'type': 'ir.actions.act_window',
				'target': 'new',
		}

payment_order_create()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
